/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <studioapp/studioapp.hpp>

#include <nostalgia/gfx/studiomodule.hpp>
#include <nostalgia/sound/studiomodule.hpp>

namespace nostalgia {

static bool modulesRegistered = false;
void registerStudioModules() noexcept {
	if (modulesRegistered) {
		return;
	}
	modulesRegistered = true;
	studio::registerModule(gfx::studioModule());
	studio::registerModule(sound::studioModule());
}

}
